#!/bin/sh
thisFile=$0
echo Program Path="$thisFile"
thisDirectory="`dirname $thisFile`"
echo thisDirectoryPath="$thisDirectory"
if [ "$thisDirectory" == "" ]; then
	thisDirectory="~/Downloads/PrintProxyDistribution-1.6"
	echo Assuming program path to be $thisDirectory
fi
echo "Stopping Proxy"
sudo killall CloudPrintSimpleProxy
echo "Removing current version of proxy if any"
sudo rm -rf /Applications/CloudPrintSimpleProxy.app
echo "copying the new version of the application"
sudo cp -R $thisDirectory/CloudPrintSimpleProxy.app /Applications
echo "Creating a Printer .... "
PrinterName="Google-Cloud-Printer"
lpadmin -p $PrinterName -v 'socket://127.0.0.1:9100' -m "WebAbode.com Cloud Printer" -P $thisDirectory/generic_pdf.ppd -E
printer_install_status=$?
echo "Starting CloudPrintSimpleProxy"
open -a "CloudPrintSimpleProxy"
proxy_launched=$?
if [ $printer_install_status -eq 0 ] &&  [ $proxy_launched -eq 0 ]; then
	echo "Successfully completed"
	echo "Open Print dialog from any application and select $PrinterName from printer list!"
	echo "Happy Printing!"
else
	echo "Failed"
fi

